{
	"name": "form/nc/erp-sync/finvoice/save/finvoice-to-xml-convert-soap.json",
	"line_break": "\n",
	"indent": "",
	"main_data_tag": "ord",
	"decimal_separator": ",",
	"xml_header": "",
	"stylesheet": "",
	"namespace": "",
	"export_path_replace": { "from": ".xml", "to": "-soap.xml" },
	"export_path": "C:/nc/finvoice/export/invoice-soap.xml",
	"export_path_mac": "/Volumes/nc/work/finvoice/export/invoice-soap.xml",
	"prepend_file": true,
	"convert": [
		{
			"field": "ord",
			"mandatory": "M",
			"tag": "SOAP-ENV:Envelope",
			"attribute": {
				"xmlns:SOAP-ENV": "http://schemas.xmlsoap.org/soap/envelope/",
				"xmlns:eb": "http://www.oasis-open.org/committees/ebxml-msg/schema/msg-header-2_0.xsd",
				"xmlns:xlink": "http://www.w3.org/1999/xlink"
			},
			"content": [
				{
					"tag": "SOAP-ENV:Header",
					"content": [
						{
							"tag": "eb:MessageHeader",
							"attribute": {
								"SOAP-ENV:mustUnderstand": "1",
								"eb:id": "20030222133003285",
								"xmlns:eb": "http://www.oasis-open.org/committees/ebxml-msg/schema/msg-header-2_0.xsd"
							},
							"content": [
								{
									"tag": "eb:From",
									"content": [
										{
											"tag": "eb:PartyId",
											"field": "co_seller.json_data.seller_bank_party_id",
											"field2": "co_seller.json_data.bank_account",
											"mandatory": "M"
										},
										{
											"tag": "eb:Role",
											"from_static": "Sender"
										}
									]
								},
								{
									"tag": "eb:From",
									"content": [
										{
											"tag": "eb:PartyId",
											"field": "co_seller.json_data.intermediator",
											"mandatory": "M"
										},
										{
											"tag": "eb:Role",
											"from_static": "Intermediator"
										}
									]
								},
								{
									"tag": "eb:To",
									"content": [
										{
											"tag": "eb:PartyId",
											"field": "co.json_data.electronic_invoice_address",
											"mandatory": "M"
										},
										{
											"tag": "eb:Role",
											"from_static": "Receiver"
										}
									]
								},
								{
									"tag": "eb:To",
									"content": [
										{
											"tag": "eb:PartyId",
											"field": "co.json_data.intermediator",
											"mandatory": "M"
										},
										{
											"tag": "eb:Role",
											"from_static": "Intermediator"
										}
									]
								},
								{
									"tag": "eb:CPAId",
									"type": "A",
									"from_static": "yoursandmycpa",
									"define": "yoursandmycpa",
									"fill": "eb:CPAId",
									"mandatory": "M",
									"header": "eb:CPAId",
									"order": "21",
									"segment": "finvoice_INVOICE_Frame_data"
								},
								{
									"tag": "eb:ConversationId",
									"type": "A",
									"from_static": "nnnnn",
									"define": "nnnnn",
									"fill": "eb:ConversationId",
									"mandatory": "M",
									"header": "eb:ConversationId",
									"order": "22",
									"segment": "finvoice_INVOICE_Frame_data"
								},
								{
									"tag": "eb:Service",
									"type": "A",
									"from_static": "Routing",
									"define": "Routing",
									"fill": "eb:Service",
									"mandatory": "M",
									"header": "eb:Service",
									"order": "23",
									"segment": "finvoice_INVOICE_Frame_data"
								},
								{
									"tag": "eb:Action",
									"type": "A",
									"from_static": "ProcessInvoice",
									"define": "ProcessInvoice",
									"fill": "eb:Action",
									"mandatory": "M",
									"header": "eb:Action",
									"order": "24",
									"segment": "finvoice_INVOICE_Frame_data"
								},
								{
									"tag": "eb:MessageData",
									"content": [
										{
											"tag": "eb:MessageId",
											"field": "ord.order_id",
											"type": "Field",
											"from_static": "230035",
											"define": "in_kInvoice_ID",
											"fill": "eb:MessageId",
											"mandatory": "M",
											"header": "eb:MessageId",
											"order": "26",
											"segment": "finvoice_INVOICE_Frame_data"
										},
										{
											"tag": "eb:Timestamp",
											"from_static-": "2024-04-27T14:56:09+02",
											"code": [
												{
													"function": "currentTimeZoneString",
													"parameter": [2],
													"result": "result"
												}
											],
											"mandatory": "M"
										},
										{
											"tag": "eb:RefToMessageId",
											"from_static": ""
										}
									]
								}
							]
						}
					]
				},
				{
					"tag": "SOAP-ENV:Body",
					"content": [
						{
							"tag": "eb:Manifest",
							"attribute": {
								"eb:id": "Manifest",
								"eb:version": "2.0"
							},
							"content": [
								{
									"tag": "eb:Reference",
									"attribute": {
										"eb:id": "Finvoice",
										"xlink:href": {
											"field": "ord.order_id"
										}
									},
									"content": [
										{
											"tag": "eb:schema",
											"from_static": "",
											"attribute": {
												"eb:location": "http://www.pankkiyhdistys.fi/verkkolasku/finvoice/finvoice.xsd",
												"eb:version": "2.0"
											}
										}
									]
								}
							]
						}
					]
				}
			]
		}
	]
}
